public static interface ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsBuilders
| Modifier and Type | Method and Description |
|---|---|
default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder |
reactiveStreams(String path)
Reactive Streams (camel-reactive-streams)
Exchange messages with reactive stream processing libraries
compatible with the reactive streams standard.
|
default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder |
reactiveStreams(String componentName,
String path)
Reactive Streams (camel-reactive-streams)
Exchange messages with reactive stream processing libraries
compatible with the reactive streams standard.
|
default ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder reactiveStreams(String path)
reactive-streams:stream
Path parameter: stream
Name of the stream channel used by the endpoint to exchange messages.path - streamdefault ReactiveStreamsEndpointBuilderFactory.ReactiveStreamsEndpointBuilder reactiveStreams(String componentName, String path)
reactive-streams:stream
Path parameter: stream
Name of the stream channel used by the endpoint to exchange messages.componentName - to use a custom component name for the endpoint
instead of the default namepath - streamApache Camel